#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define soname  8
%define pkg_name libXaw3dxft

Name:           libXaw3dXft
Version:        1.6.2d
Release:        1.73
Summary:        Xaw3d with support for freetype and UTF8 
Group:          Productivity/Graphics/Bitmap Editors
License:        GPL-3.0
URL:            http://sourceforge.net/projects/sf-xpaint
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  flex
%if %suse_version < 1210
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXp-devel
%else
BuildRequires:  libX11-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXft-devel
%endif
BuildRequires:  pkgconf-pkg-config

%description
Xaw3dxft is an extended version of Xaw3d, developed as part of xpaint
with support for freetype and UTF8 encoding and allows to correctly highlight 
text strings in AsciiText widgets, and also allows making Lists with
special colors.

%package -n     %{pkg_name}%{soname}
Summary:        Library for Xaw3d with support for freetype and UTF8
Group:          System/Libraries
License:        LGPL-3.0

%description -n %{pkg_name}%{soname}
Xaw3dxft is an extended version of Xaw3d, developed as part of xpaint
with support for freetype and UTF8 encoding and allows to correctly highlight 
text strings in AsciiText widgets, and also allows making Lists with
special colors.

%package -n     %{pkg_name}-devel
Summary:        Development files for libXaw3dxft
Group:          Development/Libraries/C and C++    
License:        LGPL-3.0
Requires:       %{pkg_name}%{soname} = %{version}

%description -n %{pkg_name}-devel
This package contains header files and libraries needed to
develop application that use libXaw3dxft.

%prep
%setup -q

%build
%configure --enable-arrow-scrollbars \
           --enable-static=no
%__make

%install
%makeinstall

# Used README.xaw3d instead README.XAW3D
%__rm -rf %{buildroot}%{_datadir}/doc/%name

%post -n %{pkg_name}%{soname} -p /sbin/ldconfig  
%postun -n %{pkg_name}%{soname} -p /sbin/ldconfig  

%files -n %{pkg_name}%{soname}
%defattr(-,root,root,-)
%doc README README.xaw3d COPYING
%{_libdir}/%{pkg_name}.so.*

%files -n %{pkg_name}-devel
%defattr(-,root,root)
%{_includedir}/X11/Xaw3dxft
%{_libdir}/%{pkg_name}.so
%{_libdir}/pkgconfig/libxaw3dxft.pc
%exclude %{_libdir}/%{pkg_name}.la

%changelog
* Sat Feb 28 2015 avvissu@yandex.ru
- Update to 1.6.2d:
  * minor API change, functionality identical.
* Fri Oct  3 2014 avvissu@yandex.ru
- Initial release
